/* CSS Document */
@media only screen {
    /* http://meyerweb.com/eric/tools/css/reset/ 
   v2.0 | 20110126
   License: none (public domain)
*/
/*TODO all hardcode styles in views should be moved into stylesheets*/
    html, body, div, span, applet, object, iframe,
    h1, h2, h3, h4, h5, h6, p, blockquote, pre,
    a, abbr, acronym, address, big, cite, code,
    del, dfn, em, img, ins, kbd, q, s, samp,
    small, strike, strong, sub, sup, tt, var,
    b, u, i, center,
    dl, dt, dd, ol, ul, li,
    fieldset, form, label, legend,
    table, caption, tbody, tfoot, thead, tr, th, td,
    article, aside, canvas, details, embed,
    figure, figcaption, footer, header, hgroup,
    menu, nav, output, ruby, section, summary,
    time, mark, audio, video {
        margin: 0;
        padding: 0;
        border: 0;
        font-size: 100%;
        font: inherit;
        vertical-align: baseline;
        line-height: normal; /*Make sure that g, q, y, j, p do not get cut off*/
    }
    /* HTML5 display-role reset for older browsers */
    article, aside, details, figcaption, figure,
    footer, header, hgroup, menu, nav, section {
        display: block;
    }

    body {
        line-height: 1;
        overflow-x: auto;
        overflow-y: auto;
    }

    ol, ul {
        list-style: none;
    }

    blockquote, q {
        quotes: none;
    }

        blockquote:before, blockquote:after,
        q:before, q:after {
            content: '';
            content: none;
        }

    table {
        border-collapse: collapse;
        border-spacing: 0;
    }

    em, i {
        font-style: italic;
    }

    strong, bold {
        font-weight: 800;
    }

    html, body {
        height: 100%;
        flex-direction: column;
    }

    /************** FUNCTIONS **************/

    /* clearfix */
    .clearfix:after {
        visibility: hidden;
        display: block;
        font-size: 0;
        content: " ";
        clear: both;
        height: 0;
    }

    .clearfix {
        display: inline-block;
    }
    /* start commented backslash hack \*/
    * html .clearfix {
        height: 1%;
    }

    .clearfix {
        display: block;
    }
    /* close commented backslash hack */

    /* rounded */
    .rounded {
        -webkit-border-radius: 2px;
        -moz-border-radius: 2px;
        border-radius: 2px;
    }

    .align-right {
        float: right;
    }

    body .btn {
        color: #fff;
        background: #0f96d9;
        padding: 0 20px;
        line-height: 2;
        -webkit-border-radius: 5px;
        -moz-border-radius: 5px;
        border-radius: 5px;
        font-size: 12px;
        margin: 10px;
        font-family: 'Open Sans', sans-serif;
        text-decoration: none;
        font-weight: 600;
        letter-spacing: 1px;
        text-transform: uppercase;
    }

    body .btn-default {
        border: none;
        text-shadow: none;
        font-size: 12px;
    }

        .btn:hover, body .btn-default:hover {
            background: #0b1532 !important;
            color: #fff !important;
            text-decoration: none;
        }

    body form .form-section > a.btn {
        font-size: 12px;
    }

    body .form-section .btn-right {
        float: right;
        margin: 0 0 0 5px;
        font-size: 12px;
    }

    body .form-section .btn-left {
        float: left;
        margin: 0 5px 0 0;
        font-size: 12px;
    }

    .btn-right {
        float: right;
        margin: 0 0 0 5px;
        font-size: 12px;
    }





    .pull-left {
        float: left;
    }

    .import-arrow {
        top: -6px !important;
    }

    /************** OVERALL LAYOUT **************/
    html {
        min-height: 100%;
        height: 100%;
    }

    body {
        font-family: "Open Sans", Arial, sans-serif;
        width: 100%;
        height: 100%;
        overflow-x: hidden;
    }

    header {
        height: auto;
        padding: 20px 20px 10px 0px;
        overflow: hidden;
        overflow-x: auto;
        background: #0b1532 url(../Content/images/header-bg.jpg) right top no-repeat;
        background-size: cover;
    }

        header h1 {
            color: #fff;
            float: left;
            padding: 0 0 0 0 !important;
            font-size: 16px;
            margin: 0 0 0 40px;
        }

        header h2 {
            clear: right;
            color: #fff;
            float: right;
            /*padding: 5px 0;*/
            font-size: 15px;
            margin: 0 0 0 40px;
        }

    #idle-timer {
        display: inline-block;
        font-weight: bold;
    }

    /* logo */
    header span {
        float: left;
        color: #fff;
        padding: 10px 0 0 0;
        margin: 0 0 0 40px;
        font-size: 12px;
    }

    header #top-nav a {
        height: 100%;
        font-size: 12px;
        color: #fff;
    }

    /* top nav */
    #top-nav {
        float: right;
    }

        #top-nav li {
            list-style: none;
            float: left;
        }

            #top-nav li a {
                padding-left: 25px;
                text-decoration: none;
                font-weight: 400;
                font-family: Montserrat, sans-serif;
                letter-spacing: 1px;
                display: block;
                line-height: 2.4;
            }

    body #top-nav li a:hover {
        text-decoration: underline;
    }

    #top-nav li.logout-btn a {
        color: #fff;
        background: #0f96d9;
        padding: 0 20px;
        margin-left: 25px;
        line-height: 2.4;
        font-family: 'Open Sans', sans-serif;
        -webkit-border-radius: 5px;
        -moz-border-radius: 5px;
        border-radius: 5px;
        text-decoration: none;
        font-weight: 600;
        font-size: 12px;
    }

        #top-nav li.logout-btn a:hover {
            background: #fff;
            color: #0f96d9 !important;
            text-decoration: none;
        }

        #top-nav li.logout-btn a:hover {
            background: #fff;
            color: #0f96d9 !important;
            text-decoration: none;
        }


    /* tabs */
    #tab-nav {
        padding: 0;
        margin: 10px -10px 0 10px;
        width: 100%;
    }

        #tab-nav li {
            list-style: none;
            float: left;
            padding: 0;
            margin: 0;
        }

            #tab-nav li a {
                background: #337ab7;
                color: #fff;
                text-decoration: none;
                text-transform: uppercase;
                font-weight: 400;
                font-family: Montserrat, sans-serif;
                letter-spacing: 1px;
                font-size: 13px;
                display: block;
                padding: 10px;
                margin: 0;
                line-height: 1;
                border-right: solid 1px #fff;
            }

    body #tab-nav li a:hover {
        text-decoration: none;
        background: #fff;
        color: #337ab7;
    }

    body #tab-nav li.active a {
        text-decoration: none;
        background: #0b1532;
        color: #fff;
    }

        body #tab-nav li.active a:hover {
        }

    #content hr#tab-nav-line {
        margin: 0 0 5px 0;
        padding: 0;
    }


    /************** PAGE LAYOUT **************/

    /* content */
    #content {
        padding: 0;
        /*min-height: 89%;
        height: 89%;*/
        flex-grow: 1;
        height: calc(100vh - 98px);
        overflow: hidden;
    }

        #content hr {
            margin: 5px 0;
            padding: 0;
            background: #ececec;
            height: 1px;
            border: none;
            width: 100%;
        }

    .form-section {
        margin: 0;
        padding: 10px;
    }

        .form-section a {
        }

    #content #full-box {
        width: auto;
        height: 100%;
        margin: 10px 10px 10px 10px !important;
        min-height: 100%;
    }

    #content #main-box {
        width: auto;
        height: 100%;
        margin: 0 !important;
        min-height: 100%;
    }

    #content #left-box-20 {
        float: left;
        width: 20%;
        min-height: 99%;
        height: 1%;
        overflow: hidden;
    }

    #content #right-box-80 {
        float: right;
        width: 80%;
        min-height: 99%;
        height: 1%;
        margin-bottom: 10px;
        overflow: hidden;
    }

    #content #right-box-100 {
        float: right;
        width: 100%;
        min-height: 99%;
        height: 1%;
        margin-bottom: 10px;
        overflow: hidden;
    }

    #content #left-box-50 {
        float: left;
        width: 50%;
        min-height: 100%;
    }

    #content #right-box-50 {
        float: right;
        width: 50%;
        min-height: 100%;
    }

    #content #left-box-55 {
        float: left;
        width: 55%;
        min-height: 100%;
    }

    #content #right-box-45 {
        float: right;
        width: 45%;
        min-height: 100%;
    }

    #content #left-box-60 {
        float: left;
        width: 60%;
        min-height: 100%;
    }

    #content #right-box-40 {
        float: right;
        width: 40%;
        min-height: 100%;
    }


    #content #left-box-50 .inner-box, #content #left-box-55 .inner-box, #content #left-box-60 .inner-box {
        background: #fff;
        margin: 10px 10px 10px 10px;
        height: auto;
    }

    #content #right-box-50 .inner-box, #content #right-box-45 .inner-box, #content #right-box-40 .inner-box {
        background: #f3fafd;
        margin: 10px 10px 10px 0;
        height: auto;
    }

    #content #left-box-20 .inner-box, #content #left-box-50 .inner-box, #content #left-box-55 .inner-box, #content #left-box-60 .inner-box {
        background: #fff;
        margin: 10px 10px 10px 10px;
        min-height: 60%;
    }

    #content #right-box-100 .inner-box, #content #right-box-80 .inner-box, #content #right-box-50 .inner-box, #content #right-box-45 .inner-box, #content #right-box-40 .inner-box {
        background: #f3fafd;
        margin: 10px 10px 10px 0;
        height: 100%;
    }

    #content #left-box {
        float: left;
        width: 70%;
        height: 100%;
        max-height: none !important;
    }

        #content #left-box .inner-box {
            background: #fff;
            margin: 10px 10px 10px 10px;
            height: 100%;
            min-height: 700px;
        }

    #content #right-box {
        float: right;
        width: 30%;
        height: 100%;
        max-height: none !important;
    }

        #content #right-box .inner-box {
            background: #f3fafd;
            margin: 10px 10px 10px 0;
            min-height: 100%;
            height: auto !important;
        }

        @media screen and (-webkit-min-device-pixel-ratio:0) {
            /* webkit specific CSS */
            #content #right-box .inner-box { height: initial !important; }
        }

    #content #right-box-80 .inner-box {
        background: #fff;
        height: 100%;
    }

    #content #right-box-100 .inner-box, #content #right-box-80 .inner-box {
        background: #fff;
        height: 100%;
    }


    #content .inner-box {
        padding: 0;
        background: #fff;
        font-size: 16px;
        height: 100%;
    }

    #content h2 {
        color: #0f96d9;
        font-size: 18px;
        padding: 5px 0 0 0;
        margin: 0;
    }

        #content h2.pull-left {
            font-size: 24px;
        }

    .inner-box-height {
        height: 840px !important;
    }

    .form-section textarea,
    .form-section input[type=text], .form-section input[type=password] {
        font-size: 12px;
        padding: 5px;
        border: solid 2px #e1e1e1;
        margin: 5px 0;
        background: #ececec;
    }

    .form-section select {
        font-size: 12px;
        padding: 5px;
        border: solid 2px #e1e1e1;
        margin: 4px 0;
        -webkit-appearance: none;
        -moz-appearance: none;
        background: #ececec url('../Content/images/drop-arrow.png') no-repeat;
        background-position:  right 10px center;
    }

    .adv-search-section input[type=text] {
        width: 90%;
        max-width: 280px;
    }

    .adv-search-section select {
        width: 90%;
        max-width: 280px;
    }

    .left-box-50 .form-section {
        padding: 10px 0;
    }

    .form-section .icon {
        margin-top: 4px;
    }

    body .left-col {
        float: left;
        width: 48%;
        padding-left: 0;
    }

    body .right-col {
        float: right;
        width: 48%;
        padding-right: 1%;
    }

    body #form-top .left-col .textbox {
        width: 100%;
    }

    .row {
        font-size: 13px;
    }

        .row p {
            margin: 10px 0;
        }

        .row input[type="radio"] {
            margin-right: 10px;
        }

        .row .btn {
            margin: -2px 0 0 0;
            line-height: 1.3;
            padding: 6px 5px;
            font-size: 12px;
        }

    .form-box {
        border: solid 2px #ececec;
        padding: 0;
        margin: 4px 0 10px 0;
        -webkit-border-radius: 5px;
        -moz-border-radius: 5px;
        border-radius: 5px;
        overflow-y: auto;
    }

        .form-box h3 {
            font-weight: 600;
            font-size: 12px;
            padding: 10px;
            margin: 0;
            background: #ececec;
        }

        .form-box ul {
            padding: 10px 10px 0 10px;
        }

            .form-box ul li {
                padding: 0 0 5px 0;
                font-size: 12px;
            }

    body form #form-top .textbox-search {
        background: #ececec url(../Content/images/icons/search.png) 4px 4px no-repeat !important;
        padding-left: 25px;
    }

    .textbox-search{

    }

    .textbox-icon {
        margin-right: -38px !important;
    }

    .icon-right {
        float: right;
        margin-top: 7px;
    }

    .icon-right {
        float: right;
        margin-top: 7px;
    }

    .align-right-top-pad {
        padding-top: 7px;
    }

    input[type="text"]:disabled {
        background: #fff;
        border: none;
    }


    .tooltip {
        margin-top: 8px;
        height: 24px;
        width: auto;
        float: right;
        margin-left: 10px;
    }

    .form-item {
        clear: both;
        overflow: auto;
    }


    #color-legend {
        margin: 0;
        padding: 0;
    }

        #color-legend li {
            padding: 0;
            font-weight: 600;
            margin: 0 6px;
            font-size: 0.65em;
            float: left;
            width: auto;
            list-style: none;
            text-transform: uppercase;
        }

            #color-legend li#cl-active {
                color: #0a1532;
            }

            #color-legend li#cl-struck-off {
                color: #f7941d;
            }

            #color-legend li#cl-in-liquid {
                color: #800000;
            }

            #color-legend li#cl-liquid {
                color: #800000;
            }

            #color-legend li#cl-merged {
                color: #6e3192;
            }
            #color-legend li#cl-dissolved {
                color: #bf2fc7;
            }
            #color-legend li#cl-in-receivership {
                color: #904a00;
            }
            #color-legend li#cl-co {
                color: #00FA51;
            }

            #color-legend li#cl-penalty {
                color: #000070;
            }

            #color-legend li#cl-del {
                text-decoration: line-through;
                color: #ed1c24 !important;
            }

            #color-legend li#cl-resigned {
                color: blue;
            }

    .showdeleted {
        padding: 0 !important;
    }

    dl.incorporation-details {
        font-size: 13px;
        max-height: 500px;
        overflow-x: hidden;
        overflow-y: auto;
    }

        dl.incorporation-details dt {
            clear: both;
            font-weight: 400;
            width: 42%;
            float: left;
            padding: 1px 10px;
        }

        dl.incorporation-details dd {
            font-weight: 400;
            width: 56%;
            float: right;
            font-weight: bold;
            padding: 1px 0;
        }

    table {
        display: table;
        width: 100%;
        font-size: 13px;
        table-layout: fixed;
    }

        table thead {
            width: 100%;
        }

        table tbody {
            width: 100%;
        }

        table thead tr th {
            text-align: left;
            font-weight: 600;
            width: 9%;
        }

        table tbody tr td {
            text-align: left;
            font-weight: 400;
            word-wrap: break-word;
            overflow: hidden;
            width: 9%;
        }

        table tbody tr:nth-child(even) {
            background: none;
        }

        table tbody tr:nth-child(odd) {
            background: #e9f0f3;
        }

    /* search results */
    #search-within {
    }

    .searchresults-inner-left {
        float: left;
        width: 21%;
        padding: 10px;
    }

    .searchresults-inner-right {
        float: right;
        width: 99%;
    }

    .search-textbox {
        width: 100%;
    }

    .status-btn {
        padding: 4px 10px !important;
    }

    .search-result-grid thead {
        width: 99%;
    }

    .search-result-grid tbody {
        height: calc(100vh - 415px) !important;
        width: 100% !important;
        overflow-y: scroll;
    }

    .search-result-grid th {
        padding: 0.5% !important;
    }

    .search-result-grid td {
        padding: 0.5% !important;
    }

    .search-pagination {
        padding: 0 10px 0 15px;
    }

    .import-records-table tbody {
        height: calc(107vh - 430px) !important;
        overflow-y: scroll;
        width: 101.5%;
    }

    .import-records-table th {
        padding: 0.5% !important;
    }

    .import-records-table td {
        padding: 0.5% !important;
    }

    .clear-btn{
        margin-top: 6px !important;
    }
    
    .entity-result-search-box{
        width: 75%;
    }

    /* error messages */
    .errorMsg {
        margin: 0 10px 15px 10px;
        padding: 10px 10px 10px 50px;
        text-align: left;
        font-size: 14px;
        border-radius: 2px;
    }

        .errorMsg h3 {
            font-size: 16px;
            padding: 0;
            margin: 0;
            font-weight: bold;
            font-size: 14px;
        }

    .msgNotify {
        border: solid 1px #00529B;
        color: #00529B;
        background-color: #BDE5F8;
        background: #BDE5F8 url(../Content/images/icons/notify.png) 10px center no-repeat;
    }

    .msgError {
        border: solid 1px #AC1404;
        color: #AC1404;
        background: #FFBABA url(../Content/images/icons/error.png) 10px center no-repeat;
    }

    .msgSuccess {
        border: solid 1px #4F8A10;
        color: #4F8A10;
        background: #DFF2BF url(../Content/images/icons/success.png) 10px center no-repeat;
    }

    .msgWarning {
        border: solid 1px #9F6000;
        color: #9F6000;
        background: #FEEFB3 url(../Content/images/icons/warning.png) 10px center no-repeat;
    }

    .msgWarningSpining {
        border: solid 1px #9F6000;
        color: #9F6000;
        background: #FEEFB3 url(../Content/images/icons/warning.gif) 10px center no-repeat;
    }



    /* advanced search */
    .criteria-buttons {
        float: right;
        width: 10%;
        padding: 55px 0 0 0;
        text-align: center;
    }

    body .criteria-buttons .btn {
        margin: 5px auto;
        font-size: 12px;
        width: 90%;
    }

    table.criteria-table {
        width: 90%;
    }

        table.criteria-table tr th {
            font-weight: 600;
            background: #ccc;
        }

        table.criteria-table tr td {
        }

        table.criteria-table .request-num-col {
        }

            table.criteria-table .request-num-col .value,
            table.criteria-table .request-num-col #request-num {
                width: auto;
                width: 100%;
            }

    td.grouped-cell {
        padding: 0 0 0 10px;
        width: 20px;
        position: relative;
    }

    #content td.grouped-cell hr {
        margin: 0 0 -24px 0;
        height: 52px;
        width: 2px;
        background: #666;
        border: none;
    }

    #content td.bottom-half hr {
        margin: 0 0 -24px 0;
        height: 30px;
    }

    #content td.top-half hr {
        margin: -24px 0 0 0;
        height: 30px;
    }

    #content td.grouped-cell hr.horizontal-right-half {
        width: 20px;
        height: 2px;
        position: absolute;
        top: 22px;
        left: 10px;
    }

    #content td.grouped-cell hr.horizontal-right-half-bottom {
        width: 20px;
        height: 2px;
        position: absolute;
        bottom: 20px;
        left: 10px;
    }

    /* profile */
    #content #right-box .profileForm {
        margin: 20px;
        overflow-y:auto;
    }
    .tablesorter tbody{
        overflow-y:auto;
    }
    #content #full-box .profileForm {
        float: left;
        width: 640px;
        min-height: 270px;
        margin: 10px;
    }
    #content #full-box #profileDiv {
        overflow: auto;
        height: 100%;
    }

    .profileForm label {
        font-family: Montserrat, sans-serif;
        text-transform: uppercase;
        font-size: 11px;
        font-weight: 400;
        padding: 7px 0;
        margin: 5px 0;
    }
    input[type=tel]{
        width: 100% !important;
    }

    .profileForm input[type=text], .profileForm input[type=email], .profileForm input[type=password], .profileForm input[type=tel] {
        float: right;
        font-size: 12px;
        width: 72%;
        padding: 5px;
        border: solid 2px #e1e1e1;
        margin: 5px 0;
        background: #ffffff;
        height: 29px;
    }
    
    

    .securityQuestions input[type=text] {
        width: 100%;
        float: none;
    }

    .profileForm select {
        font-size: 12px;
        width: 100%;
        padding: 5px;
        border: solid 2px #e1e1e1;
        margin: 4px 0;

        -webkit-appearance: none;
        -moz-appearance: none;

        background: #ececec url('../Content/images/drop-arrow.png') no-repeat;
        background-position:  right 10px center;
    }

    .profileForm .radio-holder {
        float: right;
        width: 72%;
        font-size: 14px;
        padding: 0 0 10px 0;
    }

    .securityQuestions-msg {
        padding-left: 20px;
        color: #ff0000;
        font-family: Montserrat,sans-serif;
        font-size: 14px;
    }

    .boxcheck {
        font-family: Montserrat,sans-serif;
        text-transform: none;
        width: auto;
        margin: 0;
        font-size: 14px;
    }

    /* audit trail */
    #auditActionsList {
        max-height: 417px;
    }

    .auditTrailTable {
        overflow: hidden;
    }

        .auditTrailTable th {
            padding: 10px;
        }

        .auditTrailTable td {
            width: 90%;
        }

    .audit-form #csp-search-txt, .audit-form #au-search-txt {
        width: 40% !important;
    }

    body #form-top .form-section > #auditBoId,
    body #form-top .form-section > #auditEntityId,
    body #form-top .form-section > #auditIncorpNumber,
    body #form-top .form-section > #auditSearchNumber,
    body #form-top .form-section > #auditRequestNumber {
        width: 100%;
    }

        .audit-table th{
        padding: 0 1%;
    }

    .audit-table td{
        padding: 2% 1%;
    }


    /* login */
    #login header h1 {
        float: none;
        text-align: center;
        color: #fff;
        padding: 15px 0 0 0;
        margin: 0 0 0 -168px;
        width: 100%;
        font-size: 18px;
    }


    #loginForm {
        background: #fff;
        padding: 20px;
    }

    .form-box {
        background: #fff;
        padding: 0;
    }

    #loginForm, .login-box {
        position: relative;
        width: 420px;
        min-height: 270px;
        margin: 80px auto 0 auto;
    }


    #verify-form .form-box {
        padding-left: 20px;
        padding-right: 20px;
        padding-top: 20px;
        margin: 0 auto;
    }

    #loginForm h2, .form-box h2 {
        color: #0095DC;
        font-size: 16px;
    }

    #loginForm label, .form-box label, .form-section label {
        font-family: Montserrat, sans-serif;
        text-transform: uppercase;
        font-size: 11px;
        font-weight: 400;
    }

    #loginForm label, .form-box label {
        display: block;
    }

    .basic-search-section label {
        font-size: 12px;
        padding-right: 10px;
    }

    .adv-search-section label {
        display: inline-block;
        float: left;
        width: 150px;
        margin-top: 13px;
    }

    #loginForm input[type=text], #loginForm input[type=password],
    .form-box input[type=text], .form-box input[type=email], .form-box input[type=password] {
        font-size: 14px;
        /*Width changed here to fix filling issue*/
        width: 100%;
        padding: 5px;
        border: solid 2px #e1e1e1;
        margin: 5px 0;
        background: #ececec;
    }

    #loginForm select, .form-box select {
        font-size: 12px;
        /*width: 357px;*/
        padding: 5px;
        border: solid 2px #e1e1e1;
        margin: 4px 0;
        -webkit-appearance: none;
        -moz-appearance: none;

        background: #ececec url('../Content/images/drop-arrow.png') no-repeat;
        background-position:  right 10px center;
        z-index: 100;
    }

    #time-remaining {
        font-size: 14px;
    }

    #forgot-password, #another-method {
        display: block;
        margin: 0;
        color: #0095DC;
        font-size: 13px;
    }

        #forgot-password a, #another-method a {
            color: #0095DC;
            font-size: 13px;
        }

        #forgot-password:hover, #another-method:hover {
        }

    /* shared form */
    #form-top {
    }

        #form-top label {
            font-size: 13px;
            margin-right: 10px;
        }

        #form-top input[type=text] {
            font-size: 12px;
            width: 160px;
            padding: 5px;
            border: solid 2px #e1e1e1;
            margin: 5px 25px 5px 0;
            background: #ececec;
        }

        #form-top input[type=checkbox] {
            margin: 5px;
        }

        #form-top select {
            font-size: 12px;
            width: 160px;
            padding: 5px;
            border: solid 2px #e1e1e1;
            margin: 4px 0 4px 0;
            -webkit-appearance: none;
            -moz-appearance: none;
            background: #ececec url('../Content/images/drop-arrow.png') no-repeat;
            background-position: right 10px center;
        }

        #form-top input[type=submit] {
            margin: 5px 0 5px 25px;
            width: 90px;
            padding: 0 5px;
        }

            #form-top input[type=submit]:hover {
                background: #0b1631;
            }

    .profileForm input[type="button"], #loginForm #submitButton #GenerateCodeButton #validateCode, .form-box #submitButton {
        /*margin: none;*/
        background: #0095DC;
        color: #fff;
        border: none;
        width: 90px;
        padding: 5px;
        float: right;
        margin: 10px 0 10px 5px;
    }

    .profileForm input[type="submit"], #loginForm #submitButton, .form-box #submitButton, #GenerateCodeButton, #validateCode, #continue-one-button, #removeButton, #saveButton, #cancelButton, #GoToLogin {
        /*margin: none;*/
        background: #0095DC;
        color: #fff;
        border: none;
        width: 90px;
        padding: 5px;
        float: right;
        margin: 10px 0 10px 5px;
    }

        .profileForm input[type="submit"]:hover, #loginForm #submitButton:hover, .form-box #submitButton:hover {
            background: #0b1631;
        }

            .profileForm input[type="button"]:hover, #loginForm #submitButton:hover #GenerateCodeButton:hover, #validateCode:hover, .form-box #submitButton:hover {
                background: #0b1631;
            }

    .form-item {
        margin: 15px 0;
        overflow: hidden;
    }

    .radio-holder {
        font-size: 14px;
        padding: 0 0 10px 0;
        margin: 15px 0;
        overflow: hidden;
    }

    .form-bottom {
        position: absolute;
        bottom: 20px;
        width: auto;
    }

    form input[type=checkbox] {
        margin-right: 5px;
    }

    .form-bottom {
        position: absolute;
        bottom: 20px;
        width: auto;
    }

    #loginForm .form-bottom {
        width: 357px;
    }

    .form-bottom p.note {
        font-size: 14px;
    }

    input[type="text"]:disabled {
        background: none;
    }

    /* paging */
    .paging {
        margin: 10px;
        font-size: 14px;
    }

        .paging p {
            padding: 3px 0;
            float: left;
            color: #777;
        }

        .paging ul {
            float: right;
        }

            .paging ul li {
                background: #0f96d9;
                float: left;
                margin: 0 0 0 3px;
                padding: 3px 6px;
                -webkit-border-radius: 2px;
                -moz-border-radius: 2px;
                border-radius: 2px;
            }

                .paging ul li.current, .paging ul li:hover {
                    background: #0b1532;
                }

                .paging ul li a {
                    color: #fff;
                }

                    .paging ul li a:hover {
                        text-decoration: none;
                    }

                .paging ul li.current a {
                    color: #fff;
                    cursor: not-allowed;
                }


    .myClickableTR:hover {
        background: #7fbeb0;
    }

    .myClickableTR:active {
        background: #5f8e90;
    }

    input[type="text"]:read-only, input[type="email"]:read-only {
        background: #eceece;
    }

    .readonly {
        background: #eceece !important;
    }

    #verify-method {
        width: 72%;
        float: right;
    }

    .profileForm input[type="button"]:disabled, #GenerateCodeButton:disabled, #validateCode:hover, .profileForm input[type="submit"]:disabled {
        background: #e1e1e1;
    }

    #LoginChangePasswordForm.form-control {
        width: 40%;
    }

    .myClickableTR {
        height: 32px;
    }

    .advExpressionNo-Icon {
        background-image: Url("../Content/images/icons/no-icon.png");
        background-size: 18px 18px;
        background-repeat: no-repeat;
        width: 18px;
        height: 18px;
    }

    td.startgroup {
        vertical-align: bottom;
    }

    td.group {
        vertical-align: middle;
        border-style: none none none solid;
        border-color: #000000;
        border-width: thin;
    }

    td.endgroup {
        vertical-align: top;
    }

    div.startgroup {
        border-style: solid none none solid;
        border-color: #000000;
        border-width: thin;
        width: 5px;
        height: 15px;
        margin-bottom: -5px;
        margin-left: -10px;
    }

    div.group {
        border-style: none none none solid;
        border-color: #000000;
        border-width: thin;
        width: 15px;
        margin-bottom: -5px;
        margin-top: -5px;
    }

    div.endgroup {
        border-style: none none solid solid;
        border-color: #000000;
        border-width: thin;
        width: 5px;
        height: 15px;
        margin-top: -5px;
        margin-left: -10px;
    }
}

@media all and (-webkit-min-device-pixel-ratio:0) and (min-resolution: .001dpcm) {
    .header, #forgotpasswordDiv, #loginForm, #loginNote, #verifyFormDiv, #profileDiv, #profilePasswordDiv, #profileQuestionsDiv, #setQuestionsDiv, #search-form, #usermanagerightDiv {
        /*zoom:80% !important;*/
    }
}

select::-ms-expand {
    display: none;
}

.loadingMask {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(255,255,255,0.5);
    background-image: url("./images/loader.gif");
    background-repeat: no-repeat;
    background-position: center;
    background-size: 200px 150px;
}

.loadingMsg {
    left: 0;
    line-height: 200px;
    margin-top: -100px;
    position: fixed;
    text-align: center;
    top: 50%;
    width: 100%;
}

/* alternative tables */
.as-table-container {
    width: 88%;
    overflow: auto;
    float: left;
    margin: 0 0 40px 0;
}
.as-table {
    display:table;
    width: 100%;
    font-size: 13px;
}
.adv-search-section-history-data{
    float:left; 
    width:88%;
}

    .as-table .col-1 {
        width: 10px;
        padding: 5px 0;
    }

    .as-table .col-2 {
        width: 15px;
    }

    .as-table .col-3 {
        width: 15px;
    }

    .as-table .col-4 {
        width: 15px;
    }

    .as-table .col-5 {
        width: 10%;
    }

    .as-table .col-6 {
        width: 28%;
    }

    .as-table .col-7 {
        width: 28%;
    }

    .as-table .col-8 {
        width: 28%;
    }

    .as-table .col-9 {
        width: 25px;
        padding: 7px 0 0 5px;
        width: auto;
    }

.as-table-width {
    width: 88% !important;
    float: left;
}

/* table header */
.as-hrow {
    display: table-row;
    background: #ccc;
}

.as-hcell {
    display: table-cell;
    padding: 5px;
    font-weight: bold;
}

/* table body */
.as-row {
    display: table-row;
}

.as-row-alt {
    background: #e9f0f3;
}

.as-cell {
    display: table-cell;
    padding: 5px;
}

.wideselect {
    width: 90%;
    max-width: none;
}

#sr-table {
    width: 98%;
    font-size: 12px;
    margin: 1%;
}

    #sr-table .col-1 {
        width: 10%;
    }

    #sr-table .col-2 {
        width: 10%;
    }

    #sr-table .col-3 {
        width: 15%;
    }

    #sr-table .col-4 {
        width: 10%;
    }

    #sr-table .col-5 {
        width: 10%;
    }

    #sr-table .col-6 {
        width: 10%;
    }

    #sr-table .col-7 {
        width: 10%;
    }

    #sr-table .col-8 {
        width: 10%;
    }

    #sr-table .col-9 {
        width: auto;
        padding-top: 10px;
        text-align: center;
    }


/* table header */
.sr-hrow {
    display: table-row;
    background: #ccc;
}

.auditDiff,
.auditDiff a span {
    color: red;
}

.auditSame,
.auditSame a span {
    color: black;
}


.sr-hcell {
    display: table-cell;
    padding: 5px;
    font-weight: bold;
}

#sr-table > .sr-body > .sr-row:nth-of-type(odd) {
    background: #e9f0f3;
}

#sr-table > .sr-body {
    overflow-y: auto;
    max-height: 500px;
}

#sr-table > .sr-body {
    overflow-y: auto;
    max-height: 500px;
}

/* table body */
.sr-body {
}

.sr-row {
    display: table-row;
}

.sr-row-alt {
    background: #e9f0f3;
}

.sr-cell {
    display: table-cell;
    padding: 5px;
}

/*Imported table*/

.advancedSearchManditoryTable {
    width: 100%;
    margin-bottom: 0px;
    padding-bottom: 0px;
}

    .advancedSearchManditoryTable select,
    .advancedSearchManditoryTable input[type=text] {
        max-width: none;
        width: 98%;
    }

.advancedSearchManditorySeprator {
    width: 100%;
    padding: 0 0 0 0;
    margin: 0 0 0 0;
}

    .advancedSearchManditorySeprator label {
        width: 100%;
        text-align: center;
    }


/*Custom Styles*/
/* custom styles */

/* custom styles */
.txtUploadProgressContainer {
    border:1px solid #ddd8d8;
    border-radius: 5px 5px;
    width: 400px;
    overflow:auto;
    background-color:#ececec;
    padding: 10px 10px 10px 10px;
}

.uploadProgress{
     width:100%;
}

.uploadProgress div{
    font-family:inherit;
    font-size:12px;
    font-weight:bold;
    padding:5px 5px;
    text-align:left;    
}

.validationMsg{
    width: 90%;
    font-weight: bold;
    font-size: 12px;
}

/*Change Password Page*/
.passwordRules {
    position: relative;
    display: inline-block;
    float: right;
    text-decoration: underline;
    color: #0095DC;
    font-size: 15px;
}

    .passwordRules .passwordRulesText {
        visibility: hidden;
        width: 350px;
        background-color: #c5c5c5;
        color: #000000;
        text-align: left;
        border-radius: 6px;
        position: absolute;
        z-index: 2;
        bottom: 150%;
        left: 50%;
        margin-left: -60px;
        padding: 10px;
    }

    .passwordRules:hover .passwordRulesText {
        visibility: visible;
    }

/*Forgot Password Page*/
.error {
    color: #fe2e2e;
    font-size: small;
    padding-top: 0;
}

[hidden], template {
    display: none;
}

#loginForm {
    width: 30%;
    min-height: 20%;
}

.btn:hover {
    background: #0b1631;
}

.incorporation-detailsEdit {
    max-height: none !important;
}

    .incorporation-detailsEdit .ng-invalid-required {
        border-color: red !important;
    }

    .incorporation-detailsEdit input,
    .incorporation-detailsEdit select,
    .incorporation-detailsEdit textarea {
        width: 100%;
    }
    .incorporation-detailsEdit input[type=checkbox]{
        width:auto;
    }

    .incorporation-detailsEdit .postalcode input {
        width: 55% !important;
    }

    .incorporation-detailsEdit .country select {
        width: 40% !important;
    }

/*Used for SetSecurityQuestions Form*/
.textboxArea {
    width: 100% !important;
}

.red {
    color: red;
}

.green {
    color: green;
}

.msgNotifyIcon {
    padding-left: 40px;
    font-weight: bolder;
    background: url(../Content/images/icons/notify.png) 10px center no-repeat;
}
/*User Management*/
.error {
    font-family: Montserrat, sans-serif;
    font-size: 11px;
    font-weight: 400;
    padding: 7px 0;
    margin: 5px 0;
    float: right;
    color: #fe2e2e;
}

#emailErrorMsg {
    font-family: Montserrat, sans-serif;
    font-size: 11px;
    font-weight: 400;
    padding: 7px 0;
    margin: 5px 0;
    float: right;
    color: #fe2e2e;
}

#userNameErrorMsg {
    font-family: Montserrat, sans-serif;
    font-size: 11px;
    font-weight: 400;
    padding: 7px 0;
    margin: 5px 0;
    float: right;
    color: #fe2e2e;
}

#error-msg {
    font-family: Montserrat, sans-serif;
    font-size: 11px;
    font-weight: 400;
    padding: 0 0 !important;
    margin: 0 0 !important;
    float: right;
    color: #fe2e2e;
    text-transform: uppercase;
}

.hideOnAdd {
    display: block;
}

.rightBoxDataWidth {
    display: inline-block;
    width: 65% !important;
    float: right;
    margin: 0 0 0 0 !important;
}

.passwordResetBtn {
    display: inline-flex;
    width: 65% !important;
    float: right;
}

    .passwordResetBtn input {
        margin: 0px 50% 0px 0px;
        line-height: 1.5;
    }

.rightBoxRadioBtn {
    display: inline-block;
}

.rightBoxRadioLabel {
    padding: 0;
    margin: 0;
}

.TextBoxToLabel {
    display: inline-block;
    width: 65% !important;
    float: right;
    background: none !important;
    border-color: transparent !important;
    border: none !important;
}

.popup {
    display: none;
    position: fixed;
    z-index: 1; /*Makes the popup appear overtop of everything else*/
    padding-top: 100px;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgb(0,0,0);
    background-color: rgba(0,0,0,0.4);
}

/* popup Content */
.popup-content {
    background-color: #fefefe;
    margin: auto;
    padding: 20px;
    border: 1px solid #888;
    width: 30%;
}

/* The Close Button */
.close {
    color: #aaaaaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

    .close:hover,
    .close:focus {
        color: #000;
        text-decoration: none;
        cursor: pointer;
    }

.msgText {
    font-size: small;
    float: right;
    padding-top: 0;
}

.backgroundClick {
    background: #7fbeb0 !important;
}

/* User Management header table */
.tablesorter th,
.tablesorter thead td {
    border-collapse: collapse;
    cursor: pointer;
    padding: 0px 0 15px 0;
}

.tablesorter .header span,
.tablesorter .tablesorter-header span {
    background-image: url(data:image/gif;base64,R0lGODlhDAAMAMQAAAJEjAJCiwJBigJAiANFjgNGjgNEjQRIkQRHkANIkAVMlAVQmAZWnQZUnAdYoAhdpAhZoAlhqQlepQliqQppsApmrQxutgtutQtutAxwtwxwtg1yug1zugxtsw1yuP8A/yH5BAEAAB8ALAAAAAAMAAwAAAUx4Cd+3GiOW4ado2d9VMVm1xg9ptadTsP+QNZEcjoQTBDGCAFgLRSfQgCYMAiCn8EvBAA7);
    padding: 4px 20px 4px 4px;
    cursor: pointer;
    background-position: center;
    background-repeat: no-repeat;
}

.tablesorter thead .headerSortUp span,
.tablesorter thead .tablesorter-headerSortUp span,
.tablesorter thead .tablesorter-headerAsc span {
    background-image: url(data:image/gif;base64,R0lGODlhDAAMANUAAAJCiwNHkANFjgNEjQRIkQNJkQRMlARKkwRKkgVPlwZSmgdaogdYnwhfpghcowlhqgliqglgqAlgpwljqwporwpmrQplrAtsswtqsgtrsgtqsQxttAtvtQtttAxyuQxwtwxxtwxvtg10uw1zuQ1xuP8A/wAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAACH5BAEAACUALAAAAAAMAAwAAAY6wJKwJBoahyNQ6Dj0fDoZCpPEuWgqk4jxs8FQLI+Gg8Esm5kQydFQMC7IwkOAqUiUCAIzIjA4lwBlQQA7);
    padding: 4px 20px 4px 4px;
    cursor: pointer;
    background-position: center;
    background-repeat: no-repeat;
}

.tablesorter thead .headerSortDown span,
.tablesorter thead .tablesorter-headerSortDown span,
.tablesorter thead .tablesorter-headerDesc span {
    background-image: url(data:image/gif;base64,R0lGODlhDAAMANUAAAE/iAJBigNFjgNEjQNFjQNDiwRHkQRHjwNHjwROlgRMlQRMlARJkgRKkgZQmAVPlgZWnQZSmgZRmAdXoAdXnwdUnAdbogdZoQhbowlhqAlepglkrAliqQtstAtqsQxyugxyuQxwuAxxuAxxtwxwtgxvtQ10vA12vA10u/8A/wAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAACH5BAEAACkALAAAAAAMAAwAAAY6wJQwdRoah6bP6DhEiVIdDxNEGm4yxlDpiJkwv2AmR2OhVCSJBsJ4gUQeCwOB6VAwBAXwYRAIpwBfQQA7);
    padding: 4px 20px 4px 4px;
    cursor: pointer;
    background-position: center;
    background-repeat: no-repeat;
}

#table-wrapper {
    position: relative;
}

#table-scroll {
    height: 626px;
    overflow: auto;
    margin-top: 20px;
}

.FirstName {
    padding: 7px 0 0 10px !important;
}

#main-grid {
    overflow: auto;
}

#table-wrapper table {
    width: 100%;
}

.backgroundClick {
    background: #7fbeb0 !important;
}

.errorClass {
    border: 2px solid red !important;
}

.modal-footer .btn {
    /*it is required to override body .btn; that conflict bootstrap*/
    margin-bottom: 0px !important;
}

.incorporation-details .ng-invalid-required {
    border-color: red !important;
}

.audit_width_1 {
    width: 7%;
}

.audit_width_2 {
    width: 10%;
}

.audit_width_3 {
    width: 16%;
}

.audit_width_4 {
    width: 8%;
}

.entityDeleted {
    text-decoration: line-through;
    color: #ed1c24 !important;
}

/*Upload File*/
.apply-btn {
    margin-left: 15px !important;
    vertical-align: bottom;
}

.reset-btn {
    margin-left: 5px !important;
    vertical-align: bottom;
}

.upload-btn {
    margin: 0px 0 10px 5px !important;
}

.file-upload {
    margin: 0 0 0 0;
    display: inline-block !important;
}

.upload-div {
    padding: 10px 0 !important;
}

.select-upload {
    margin: 6px 0 !important;
    padding: 1.5px !important;
}

.ui-datepicker-trigger {
    width: 24px;
    height: 24px;
    margin-left: 9px;
    margin-top: 7px;
}

.datepicker-img{
    height: 24px;
    width: 24px;
}

.hoverTable tbody tr:hover {
    background-color: #1AA27D;
}


/*Importade Data*/
.imported-data-div {
    width: 100%;
    margin: 5px 0 0 0;
}

    .imported-data-div input {
        margin: 10px 5px;
        padding: 0px 6px;
        width: 160px;
    }

.show-status{
    width: 50%;
    display: inline-block; 
    padding: 0 15px 0 0;
    text-align: right;
}

.show-status select {
    padding: 4px 22px 4px 6px;

}

.pagre-scroll {
    overflow-x: auto;
    overflow-y: auto;
}

.deleteBtn {
    height:20px;
    padding: 0px 10px 0px 10px !important;
    background-image: url(../Content/images/icons/delete.png);
    text-align: center;
    vertical-align:middle;
    float:right;
}

    .scrollScreen{
        overflow-y: auto !important;
        height: calc(100vh - 135px) !important;
        overflow-x:hidden !important;
    }
    #cspDetailArrow{
        left: 460px;
        top: 3px;
        float: right;
        position: relative;
    }

    #usersList {
        overflow-y:auto;
    }

.form-section .ui-datepicker-trigger{
    vertical-align: middle;
    margin-top: 0px;
}

#PhoneNumber{
    display: block !important;
}

.isDeletedChkBox{
   margin: 13px 0px 0px 0px !important;
}

.user-edit {
    overflow-y: visible !important;
}

.input-contain-html-markup {
    border-color: red !important;
}

.user-is-deleted-button-colour {
    background-color: #e1e1e1;
}

.user-is-not-deleted-button-colour {
    background-color: #0095dc;
}

.hide-validation-error {
    color: black !important;
}

.initial-status-state {
   background-color: #f3fafd;
   border: 0;
}

.initial-lockedout-state {
    background-color: #f3fafd;
    border: 0;
}

#DigitalSignature {
    width: 150px;
    height: 200px;
}

#ErrorRemoveUser {
    color : red;
}

.RightBoxMsg_Error {
    color: red;
    display: inline;
}
.RightBoxMsg_Success {
    color: blue;
    display: inline;
}
.RightBoxMsg_None {
    display: none;
}
.form-item-countryBtn {
    display: block;
}

/* Bahamas specific styling */
header {
    background-color: #005361;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    height: 100px;
    z-index: 1030;
}

header span {
    padding: 0px 0 0 0 !important;
}

header #logo {
    padding-top: 15px !important;
    margin-left: 10px;
}

.header-title {
    color: #fff;
    padding: 0 0 0 0 !important;
    font-size: 16px;
    margin: 0 0 0 250px;
}

.build-number {
    padding-top: 7px !important;
    margin-left: 31px;
}

.build-notes {
    color: #aaa;
    font-size: 0.6em;
    padding-top: 7px !important;
    margin-left: 5px;
}

.profileForm input[type="button"], #loginForm #submitButton #GenerateCodeButton #validateCode, .form-box #submitButton,
.profileForm input[type="submit"], #loginForm #submitButton, .form-box #submitButton, #GenerateCodeButton, #validateCode, #continue-one-button, #removeButton, #saveButton, #cancelButton, #GoToLogin {
    background: #000;
    color: #fff;
}

.profileForm input[type="submit"]:hover, #loginForm #submitButton:hover, .form-box #submitButton:hover,
.profileForm input[type="button"]:hover, #loginForm #submitButton:hover #GenerateCodeButton:hover, #validateCode:hover, .form-box #submitButton:hover 
{
    background: #000;
    opacity: .66;
}

body .btn {
    background: #000;
}

.btn:hover, body .btn-default:hover {
    background: #000 !important;
    opacity: .66;
}

#editUserView {
    background-color: #f3fafd;
}

#content h2 {
    color: #00778c;
}

#content {
    margin-top: 100px;
    height: calc(100vh - 100px);
    overflow-y: auto;
}

body {
    overflow-y: hidden;
}

#content #full-box {
    min-height: initial;
    height: initial;
}

#content #full-box #profileDiv {
    overflow-x: hidden;
}
